clang 8.0.0

Public Member Functions | List of all members
clang::ast_matchers::MatchFinder::MatchCallback Class Referenceabstract

Called when the Match registered for it was successfully found in the AST. More...

`#include "clang/ASTMatchers/ASTMatchFinder.h"`

Inheritance diagram for clang::ast_matchers::MatchFinder::MatchCallback:
[legend]

## Public Member Functions
virtual | ~MatchCallback ()
virtual void | run (const MatchResult &Result)=0
| Called on every match by the `MatchFinder`. More...
virtual void | onStartOfTranslationUnit ()
| Called at the start of each translation unit. More...
virtual void | onEndOfTranslationUnit ()
| Called at the end of each translation unit. More...
virtual StringRef | getID () const
| An id used to group the matchers. More...

## Detailed Description

Called when the Match registered for it was successfully found in the AST.

Definition at line 92 of file ASTMatchFinder.h.

## Constructor & Destructor Documentation

## ◆ ~MatchCallback()

clang::ast_matchers::MatchFinder::MatchCallback::~MatchCallback | ( |  | ) |
| virtual

Definition at line 945 of file ASTMatchFinder.cpp.

## Member Function Documentation

## ◆ getID()

StringRef clang::ast_matchers::MatchFinder::MatchCallback::getID | ( |  | ) | const
| virtual

An id used to group the matchers.

This id is used, for example, for the profiling output. It defaults to "<unknown>".

Definition at line 1046 of file ASTMatchFinder.cpp.

## ◆ onEndOfTranslationUnit()

virtual void clang::ast_matchers::MatchFinder::MatchCallback::onEndOfTranslationUnit | ( |  | ) |
| inline virtual

Called at the end of each translation unit.

Optionally override to do per translation unit tasks.

Definition at line 107 of file ASTMatchFinder.h.

References llvm::getID().

## ◆ onStartOfTranslationUnit()

virtual void clang::ast_matchers::MatchFinder::MatchCallback::onStartOfTranslationUnit | ( |  | ) |
| inline virtual

Called at the start of each translation unit.

Optionally override to do per translation unit tasks.

Definition at line 102 of file ASTMatchFinder.h.

## ◆ run()

virtual void clang::ast_matchers::MatchFinder::MatchCallback::run | ( | const MatchResult & | Result | ) |
| pure virtual

Called on every match by the `MatchFinder`.

Implemented in clang::ast_matchers::internal::CollectMatchesCallback, clang::tooling::ReplaceIfStmtWithItsBody, clang::tooling::ReplaceStmtWithStmt, clang::tooling::ReplaceNodeWithTemplate, and clang::tooling::ReplaceStmtWithText.

The documentation for this class was generated from the following files:

- include/clang/ASTMatchers/ASTMatchFinder.h
- lib/ASTMatchers/ASTMatchFinder.cpp